import type { IEventBus } from "../../../../utils/EventBus";
import { type IWalletConnectPanelData } from '../wallet-connect.types';
export declare class WalletConnectProvider {
    hostElement: HTMLElement;
    data: IWalletConnectPanelData;
    qrCodeSvg: string;
    private walletConnectBase;
    componentWillLoad(): void;
    getEventBus(): Promise<IEventBus>;
    onDataChange(data: IWalletConnectPanelData): Promise<void>;
    render(): any;
    private removeComponent;
    private getEventSubscription;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
